gbx3(1)

NAME
gbx3 - GAMBAS Interpreter

SYNOPSIS
gbx3 [options] [<project file>] [-- <arguments>]
gbx3 -e <expression>

DESCRIPTION
Gambas is a free development environment based on a Basic interpreter with object extensions, a mix of Java(tm) and Visual Basic(tm). With Gambas, you can quickly design your program GUI, access MySQL or PostgreSQL databases, pilot KDE applications with DCOP, translate your program into many languages, and so on... gbx3 is the interpreter that allows you to execute a Gambas project or evaluate a Gambas expression (-e option).

OPTIONS

-e  evaluate an expression

-g  enter debugging mode

-h, --help
    display help and exit

-H, --httpd
    run through an embedded http server

-j  disable just-in-time compiler

-k  do not unload shared libraries

-L, --license
    display license

-p <path>
    activate profiling and debugging mode

-r <path>
    redirect standard error output

-s <class>
    override startup class

-t, --trace
    dump the position of each executed line of code

-T <tests>
    run the specified test modules

-V, --version
    display version

AVAILABILITY
The latest version of Gambas can always be obtained from gambas.sourceforge.net, documentation about the language is at http://gambaswiki.org/wiki.

REPORTING BUGS
Report bugs to http://gambaswiki.org/bugtracker

COPYRIGHT
Copyright© Benoît Minisini <g4mba5@gmail.com>;

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.